Bug 63320 - EDITING: Snap to grid does not work
Summary: EDITING: Snap to grid does not work
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: high minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-09 15:39 UTC by ntrrgc
Modified: 2020-10-02 06:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Currently set options for grid (19.35 KB, image/png)
2014-08-19 11:04 UTC, Martin Stolpe
Details
Settings used for snap to grid (3.80 KB, image/png)
2014-08-19 11:07 UTC, Martin Stolpe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ntrrgc 2013-04-09 15:39:52 UTC
Problem description: "Snap to grid" feature does not work.

Steps to reproduce:
1. Open LibreOffice Draw (tested on 4.0.2.2, Arch Linux).
2. Click View/Grid/Display Grid.
3. Click View/Grid/Snap to Grid.
4. Try to draw a rectangle attached to the grid.

Current behavior:
You can draw a rectangle, but it isn't attached to grid lines.

Expected behavior:
You should be able to draw a rectangle with their borders being attached to nearest grid lines.

              
Operating System: All
Version: unspecified
Comment 1 Joel Madero 2013-04-09 17:01:14 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.5.2 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Minor - doesn't prevent high quality work, just slows it down a bit
High - makes entire feature useless, probably good to fix it even though it doesn't prevent high quality work

whiteboard -bibisectrequest -mine is acting funny so I can't do it, not sure if this is inhereted by AOO or not

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Joel Madero 2013-04-09 17:13:45 UTC
Just bibisected and it's present in earliest commit range so bibisect is useless, probably inherited
Comment 3 Owen Genat (retired) 2013-09-05 22:29:39 UTC
I can't reproduce this problem here under Crunchbang 11 running TDF/LO v4.1.0.4 with the settings I indicate in this AskLO answer:

http://ask.libreoffice.org/en/question/21974/i-want-lines-and-text-to-snap-to-vertical-or-horizontal-grid-lines/?answer=21988#post-id-21988

Rectangles, lines, text boxes, all snap to the set grid, whether I am initially drawing them or moving them. Has this issue been fixed in the v4.1 series?
Comment 4 ntrrgc 2013-09-05 22:45:03 UTC
This is fixed in 4.0.4.2. Closing...
Comment 5 Joel Madero 2013-09-05 22:59:31 UTC
Correct status is WFM since we don't know what fixed it
Comment 6 Martin Stolpe 2014-08-19 09:42:40 UTC
Reopening the bug report because I'm using 4.3.0.4 and I'm experiencing the behavior described in the bug report.
Comment 7 Martin Stolpe 2014-08-19 11:04:31 UTC
Created attachment 104882 [details]
Currently set options for grid
Comment 8 Martin Stolpe 2014-08-19 11:07:11 UTC
Created attachment 104883 [details]
Settings used for snap to grid

The attachements are showing my current settings for the snap to grid feature.

Here is a small video example of the behavior I'm seeing: https://www.youtube.com/watch?v=o2S_He7feHE
Comment 9 Joel Madero 2014-08-19 16:43:10 UTC
Setting back to UNCONFIRMED as we'll need to get independent verification again that it's still an issue.
Comment 10 Owen Genat (retired) 2014-08-22 12:41:54 UTC
(In reply to comment #6)
> Reopening the bug report because I'm using 4.3.0.4 and I'm experiencing the
> behavior described in the bug report.

(In reply to comment #7)
> Currently set options for grid

Martin, as I mention in the AskLO answer (linked above), "Note that setting the Subdivision values to 1 will assist with snapping." In your screenshot these are set to 10. Try setting them to 1 and see if it makes any improvement for both drawing and moving objects. Works as expected here under GNU/Linux using v4.3.0.4.
Comment 11 Martin Stolpe 2014-10-07 16:51:57 UTC
Snapping works if I set the horizontal and vertical subdivision values to 1. But I don't get it why it doesn't work with the setting of 10. It would be more intuitive to me if snapping would correspond to the setting of the subdivision value.
Comment 12 Owen Genat (retired) 2014-10-10 23:59:02 UTC
(In reply to Martin Stolpe from comment #11)
> Snapping works if I set the horizontal and vertical subdivision values to 1.
> But I don't get it why it doesn't work with the setting of 10. 

I still get effective snapping using a larger number of sub-divisions (e.g., 10), but it is easier to observe behaviour using a smaller number. I merely made the point I did so you could test whether it is working or not. Note that snapping is also related to the zoom level, so 10 sub-divisions is more easily testable at 250% than 100%.

(In reply to Martin Stolpe from comment #8)
> Here is a small video example of the behavior I'm seeing:
> https://www.youtube.com/watch?v=o2S_He7feHE

This video appears to show effective snapping to me. It may be that the problem experienced is more related to objects linked via connector trying to align at 90deg and 45deg offsets. This can be overridden by holding down the SHIFT key when dragging connected objects. The object should then snap to the defined grid. Martin, can you test this and report back if it gets around the issue you are having?
Best wishes, Owen.
Comment 13 raal 2014-12-14 20:59:40 UTC
(In reply to Owen Genat from comment #12)
> (In reply to Martin Stolpe from comment #11)
> Martin, can you test this and report back if it gets
> around the issue you are having?
> Best wishes, Owen.

Setting as NEEDINFO.
For me snapping works with LO Version: 4.5.0.0.alpha0+, Linux
Comment 14 QA Administrators 2015-07-18 17:35:48 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 15 QA Administrators 2015-09-04 03:01:06 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03
Comment 16 Panos Stokas 2020-04-15 06:20:25 UTC
After trying all options related to snap in LibreOffice Draw, I searched the web to find this bug report.

I'm confirming this bug report. I'm having exactly the same problem as shown at https://www.youtube.com/watch?v=o2S_He7feHE by the original reporter.

Steps to reproduce:
1. Open LibreOffice Draw (tested on 6.4.2.2, Windows 7).
2. Click View/Grid/Display Grid.
3. Click View/Grid/Snap to Grid.
4. Try to draw a rectangle attached to the grid.

Current behavior:
You can draw a rectangle, but it isn't attached to grid lines.

Expected behavior:
You should be able to draw a rectangle with their borders being attached to nearest grid lines.
Comment 17 Panos Stokas 2020-04-15 06:42:59 UTC
After additional testing, I think I was wrong. While I can reproduce the problem in the video, snap to grid *does work* when creating or moving objects.

So I think this bug is better set to its previous state as invalid and I'll open a more specific report.